Skip to content

Get package location

Request

Returns the list of valid package location enum values. These values indicate where the packages will be placed at the pickup address for the USPS carrier to retrieve during the scheduled pickup.

Security
BearerAuth
GET
/api/shipment/pickup/package/location/list
curl -i -X GET \
  https://x-api.shipsaving.com/api/shipment/pickup/package/location/list \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
codestring
Example:"ok"
msgstring
Example:"ok"
dataArray of strings
Response
{ "code": "ok", "msg": "ok", "data": [ "front_door" ] }